Subject: Re: 23.3; next-line when global-visual-line, highlight-parentheses and global-hl-line are active

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Dec 2011 13:39:35 +0200

> Date: Fri, 12 Aug 2011 17:37:44 +0200
> From: Philipp Müller <[email-masked]>
> 
> * start emacs -Q
> * M-x global-visual-line-mode
> * M-x global-hl-line-mode
> * M-x load-file <RET> /path/to/highlight-parentheses.el
> (highlight-parentheses.el is here:
> * M-x set-variable <RET> scroll-step <RET> 1
> 
> * create a file that has a very long line that has to be wrapped and add
>   many short lines thereafter, such that the whole file won't fit into
>   one window
> 
> * move point to beginning of document and keep scrolling down by holding
>   C-n
> 
> At a certain point, the point will just cycle from the bottom of the
> window to the middle of the window. This point is reached when the long,
> wrapped line has some part that is not displayed anymore and some part
> that is displayed anymore. I.e. like follows:
> 
> +--------------------------------------+
> |...this is the last stuff of the long,|
> | wrapped line. the points indicate    |
> |that it had a beginning that is not   |
> |displayed anymore.                    |
> |short line                            |
> |short line                            |
> |short line                            |
> +--------------------------------------+
> 
> If the point reaches the bottom line and you try C-n, it jumps to the
> middle of the window.

I cannot reproduce this.

You didn't say where did you get highlight-parentheses.el from,
exactly.  (I used some version I found on the net.)  For full
reproducibility, please also attach the precise file you used in your
recipe.

Thanks.